# jsconsole

- Manual
- Standard library
- Index

Search:
Group by:

Wrapper for the `console` object for the JavaScript backend.

# Imports

macros

# Types

    Console {...}{.importc.} = ref object of RootObj

  Source Edit

# Vars

    console: Console

  Source Edit

# Procs

    proc convertToConsoleLoggable[T](v: T): RootRef {...}{.importcpp: "#".}

  Source Edit

# Macros

    macro log(console: Console; args: varargs[RootRef, convertToConsoleLoggable]): untyped

  Source Edit

    macro debug(console: Console; args: varargs[RootRef, convertToConsoleLoggable]): untyped

  Source Edit

    macro info(console: Console; args: varargs[RootRef, convertToConsoleLoggable]): untyped

  Source Edit

    macro error(console: Console; args: varargs[RootRef, convertToConsoleLoggable]): untyped

  Source Edit

# Templates

    template convertToConsoleLoggable(v: string): RootRef

  Source Edit